Summary: Module utilities
Name: modutils
Version: 2.4.1
Release: 1.0.6
Copyright: GPL
Group: Utilities/System
Source: modutils-%{version}.tar.gz
Patch1: modutils-2.4.1-insmod.patch 
Patch2: modutils-2.4.1-depmod.patch 
Patch3: modutils-2.4.1-systemmap.patch
ExclusiveOS: Linux
BuildRoot: /var/tmp/modutils-root

%description
The Linux kernel allows new kernel pieces to be loaded and old ones to
be unloaded while the kernel continues to run. These loadable pieces
are called modules, and can include device drivers and filesystems among
other things. This package includes program to load and unload programs
both automatically and manually.

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --enable-insmod-static \
	--disable-kerneld --exec-prefix=/ --mandir=%{_mandir}
make dep all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man{1,2,5,8}
make install prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT \
	     mandir=$RPM_BUILD_ROOT/%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(750,root,root)		/sbin/depmod
%attr(750,root,root)		/sbin/genksyms
%attr(750,root,admin)		/sbin/insmod
%attr(750,root,root)		/sbin/insmod.static
%attr(755,root,root)		/sbin/ksyms
%attr(755,root,admin)		/sbin/lsmod
%attr(750,root,admin)		/sbin/modinfo
%attr(755,root,admin)		/sbin/modprobe
%attr(755,root,admin)		/sbin/rmmod
%attr(755,root,root)		/sbin/kallsyms
%attr(750,root,root)		/sbin/insmod_ksymoops_clean
%attr(750,root,root)		/sbin/kernelversion
%doc COPYING README CREDITS TODO ChangeLog NEWS example/kallsyms.c include/kallsyms.h
%doc %{_mandir}/man1/kernelversion.1*
%doc %{_mandir}/man2/create_module.2*
%doc %{_mandir}/man2/delete_module.2*
%doc %{_mandir}/man2/get_kernel_syms.2*
%doc %{_mandir}/man2/init_module.2*
%doc %{_mandir}/man2/query_module.2*
%doc %{_mandir}/man5/modules.conf.5*
%doc %{_mandir}/man8/depmod.8*
%doc %{_mandir}/man8/genksyms.8*
%doc %{_mandir}/man8/insmod.8*
# %doc %{_mandir}/man8/kdstat.8*
# %doc %{_mandir}/man8/kerneld.8*
%doc %{_mandir}/man8/ksyms.8*
%doc %{_mandir}/man8/lsmod.8*
%doc %{_mandir}/man8/modinfo.8*
%doc %{_mandir}/man8/modprobe.8*
%doc %{_mandir}/man8/rmmod.8*
%doc %{_mandir}/man8/kallsyms.8*

%changelog
* Wed Feb 14 2001 Pete O'Hara <pete@guardiandigital.com>
- upgraded to 2.4.1 and converted patches from 2.3.21
	to 2.4.1

* Mon Nov 27 2000 Dave Wreski <dave@guardiandigital.com>
- upgrade to 2.3.21 to fix vulnerabilities
- FHS fixes
- added RH alias patch

* Sat Nov 18 2000 Dave Wreski <dave@guardiandigital.com>
- update to 2.3.20 to fix vulnerabilities

* Tue Oct 17 2000 Pete O'Hara <pete@guardiandigital.com>
- change group to admin for /sbin/lsmod, modinfo, modprobe,
	rmmod

* Tue Oct 17 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to some /sbin executables for EnGarde

* Mon Oct 16 2000 Dave Wreski <dave@guardiandigital.com>
- Disabled -r option for insmod
- Updated documentation
